Source: apertium
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: autoconf,
               debhelper-compat (= 13),
               dh-exec,
               dh-python,
               flex,
               libicu-dev,
               libpcre3-dev,
               libxml2-dev,
               libxml2-utils,
               lttoolbox-dev (>= 3.5.3),
               pkg-config,
               python3-dev,
               python3-lxml,
               python3-setuptools,
               swig,
               unzip,
               xsltproc,
               zip,
               zipcmp
Standards-Version: 4.5.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium
Rules-Requires-Root: no

Package: apertium
Architecture: any
Depends: libapertium3-3.7-1 (= ${binary:Version}),
         libxml2-utils,
         lttoolbox (>= 3.5.3),
         xsltproc,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: transfuse, unzip, zip
Description: Shallow-transfer machine translation engine
 An open-source shallow-transfer machine translation
 engine, Apertium is initially aimed at related-language pairs.
 .
 It uses finite-state transducers for lexical processing,
 hidden Markov models for part-of-speech tagging, and
 finite-state based chunking for structural transfer.
 .
 The system is largely based upon systems already developed by
 the Transducens  group at the Universitat d'Alacant, such as
 interNOSTRUM (Spanish-Catalan, http://www.internostrum.com/welcome.php)
 and Traductor Universia (Spanish-Portuguese,
 http://traductor.universia.net).
 .
 It will be possible to use Apertium to build machine translation
 systems for a variety of related-language pairs simply providing
 the linguistic data needed in the right format.

Package: libapertium3-3.7-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libapertium
Conflicts: libapertium, libapertium3
Replaces: libapertium, libapertium3
Description: Shared library for Apertium
 An open-source shallow-transfer machine translation
 engine, Apertium is initially aimed at related-language pairs.
 .
 This package contains shared library for the Apertium
 shallow-transfer machine translation engine.

Package: python3-apertium-core
Architecture: any
Section: python
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Shallow-transfer machine translation engine (Python 3 module)
 Python 3 module for applications using the Apertium shallow-transfer
 machine translation engine module.

Package: apertium-dev
Architecture: any
Depends: apertium (= ${binary:Version}),
         libpcre3-dev,
         libxml2-dev,
         lttoolbox-dev (>= 3.5.3),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: apertium-get
Conflicts: libapertium3-dev
Replaces: libapertium3-dev
Description: Development tools and library for Apertium
 An open-source shallow-transfer machine translation
 engine, Apertium is initially aimed at related-language pairs.
 .
 This package contains development files for the Apertium
 shallow-transfer machine translation engine.
